# https://cn.vitejs.dev/guide/static-deploy
# https://github.com/vercel/examples/tree/main/ci-cd/github-actions

defaults:
  run:
    shell: bash
env:
  TZ: Asia/Shanghai
on:
  push:
    branches: [main]
jobs:
  build-and-deploy-to-vercel:
    runs-on: ubuntu-latest
    steps:
      - name: ⚙️ 设置 Node 环境
        uses: yanhao98/composite-actions/setup-node-environment@3bf07469124a5a7b9a06b6d07be36a116c5aa49e

      - name: 📥 拉取 Vercel 环境信息
        run: pnpm dlx vercel pull --yes --environment=production --token=${{ secrets.VERCEL_TOKEN }}

      - name: 🏗️ 构建项目 # vite build
        run: pnpm dlx vercel build --target=production --token=${{ secrets.VERCEL_TOKEN }}
        env:
          VITE_BUILD_COMMIT: ${{ github.sha }}
          __VUE_PROD_DEVTOOLS__: true

      - name: 🧐 类型检查 # 要先 build，保证 components.d.ts 存在
        run: pnpm run type-check

      # 🇨🇳: cname-cn.vercel.com cname-china.vercel-dns.com
      - name: 🚀 部署到 Vercel 
        run: pnpm dlx vercel deploy --prebuilt --target=production --token=${{ secrets.VERCEL_TOKEN }} --confirm
